Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training
Class BaumWelchParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.HMMTrainingParameterSet
              de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.MaxHMMTrainingParameterSet
                  de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.MultiThreadedTrainingParameterSet
                      de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.BaumWelchParameterSet

All Implemented Interfaces:
  GalaxyConvertible, Storable, Cloneable

    public class BaumWelchParameterSet

extends MultiThreadedTrainingParameterSet

This class implements an `HMMTrainingParameterSet` for the Baum-Welch training of an `AbstractHMM`.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent`

Constructor Summary
`BaumWelchParameterSet()` This is the empty constructor that can be used to fill the parameters after creation.
`BaumWelchParameterSet(int starts, AbstractTerminationCondition tc, int threads)` This constructor can be used to create an instance with specified parameters.
`BaumWelchParameterSet(StringBuffer xml)` The standard constructor for the interface `Storable`.

Method Summary
`boolean` | `hasDefaultOrIsSet()` Returns `true` if all parameters in this `ParameterSet` are either set by the user or have default values.

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.MultiThreadedTrainingParameterSet
`getNumberOfThreads`

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.MaxHMMTrainingParameterSet
`getTerminationCondition`

Methods inherited from class de.jstacs.sequenceScores.statisticalModels.trainable.hmm.training.HMMTrainingParameterSet
`getNumberOfStarts`

Methods inherited from class de.jstacs.parameters.ParameterSet
`clone, fromGalaxy, fromXML, getAllParameterNames, getComment, getComment, getErrorMessage, getIndex, getName, getName, getNumberOfParameters, getParameterAt, getParameterForName, getParent, initParameterList, initParameterList, isAtomic, isComparable, parametersLoaded, reset, setParent, toGalaxy, toXML`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaumWelchParameterSet

    public BaumWelchParameterSet()

  This is the empty constructor that can be used to fill the parameters after creation.

### BaumWelchParameterSet

    public BaumWelchParameterSet(int starts,
                                 AbstractTerminationCondition tc,
                                 int threads)
                          throws Exception

  This constructor can be used to create an instance with specified parameters.

  Parameters:
    `starts` - the number of different starts
    `tc` - the termination condition for stopping the algorithm
    `threads` - the number of threads that should be used during optimization
  Throws:
    `Exception` - if the `BaumWelchParameterSet` could not be created

### BaumWelchParameterSet

    public BaumWelchParameterSet(StringBuffer xml)
                          throws NonParsableException

  The standard constructor for the interface `Storable`. Constructs a `BaumWelchParameterSet` out of an XML representation.

  Parameters:
    `xml` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `BaumWelchParameterSet` could not be reconstructed out of the `StringBuffer` `xml`

Method Detail

### hasDefaultOrIsSet

    public boolean hasDefaultOrIsSet()

  Description copied from class: `ParameterSet`
  Returns `true` if all parameters in this `ParameterSet` are either set by the user or have default values. If any additional constraints are required on your parameters you should either specify some `ParameterValidator` on these parameters or implement these constraints by overriding this method in your implementation of `ParameterSet`. It is recommended to specify a useful remark which constraint failed in the member-variable `errorMessage`, which will be displayed to the user. In the overriding method `super.``ParameterSet.hasDefaultOrIsSet()` should be called prior to checking specific constraints.

  Overrides:
    `hasDefaultOrIsSet` in class `ParameterSet`
  Returns:
    `true` if all parameters have some allowed value set, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD